.sticky-header .site-main .main-content a[name]:not([href])::before {
    height: calc(var(--navmaxheight) + var(--spacing-200));
    margin-top: calc(-1 * calc(var(--navmaxheight) + var(--spacing-200)));
}
.nav_noscroll {
    overflow: hidden;
    padding-right: var(--scrollbar-width);
}
.frontend button.modern-nav-btn {
    display: flex;
    align-items: center;
    position: relative;
    z-index: 1;
    min-width: fit-content;
    min-height: var(--input-height);
    color: var(--bodycolor);
    background-color: transparent;
    padding: var(--spacing-075) var(--spacing-100);
    cursor: pointer;
    transition: all 0.15s ease-in-out;

    @media (max-width: 767px) {
        min-width: var(--input-height);
        padding: 0;

        .classic-search .header-right & {
            display: none;
        }
    }

    &:not(.close, .sticky):is(:hover, :active, :focus, .tab-focus) {
        color: light-dark(var(--bodycolor), var(--black));
        background-color: light-dark(rgba(0, 0, 0, 0.05), var(--linkcolor));
    }

    &.sticky {
        position: fixed;
        top: 1rem;
        right: 1rem;
        z-index: 80;
        color: light-dark(var(--primarycolor), var(--black));
        background-color: light-dark(var(--white), var(--linkcolor));
        box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.25);

        @media (max-width: 767px) {
            min-width: var(--input-height);
            padding: 0;
        }
    }

    &.close {
        height: calc(var(--navmaxheight) - 2 * var(--spacing-150));
        margin: var(--spacing-150) var(--spacing-150) var(--spacing-150) auto;
        transition: none;

        @media (max-width: 767px) {
            height: auto;
        }
    }
}
.modern-nav-btn {
    > [class*="fa-"] {
        font-size: 1.25rem;
        margin-right: var(--spacing-050);

        @media (max-width: 767px) {
            margin: auto;
        }

        &::before {
            .modern-nav-btn.active & {
                content: '\f00d';
            }
        }
    }

    &.close > [class*="fa-"] {
        margin-right: 0.25em;

        @media (max-width: 767px) {
            line-height: calc(var(--headerheight) * 0.5);
            margin: auto;
        }
    }
}
.modern-nav {
    pointer-events: none;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 85;
    flex-direction: column;
    height: 100vh;
    height: 100dvh;
    width: 100vw;
    transform: translate(100vw, 0);
    transition: transform 1.7s cubic-bezier(0.22, 1, 0.36, 1), opacity 0.4s ease;
    background-color: var(--primarycolor);
    overflow-y: auto;

    @media (min-width: 768px) {
        width: 50vw;
    }

    @media (min-width: 1024px) {
        width: 40vw;
    }

    &.active {
        pointer-events: auto;
        box-shadow: -5px 0px 5px rgba(0, 0, 0, 0.2);
        transform: translateX(0);
        transition: transform 0.7s cubic-bezier(0.22, 1, 0.36, 1), opacity 0.4s ease;
    }

    > nav,
    > nav#nav-mob {
        flex: 1;
        position: relative;
        top: auto;
        max-height: none;
        padding-top: 0;
        overflow: visible;
    }

    .slicknav_btn {
        display: none;
    }

    ul.slicknav_nav {
        height: 100%;
        width: 100%;
        padding: 0;
        margin: 0;
        overflow: auto;
        overflow-x: hidden;
        display: block !important;

        &.slicknav_hidden {
            display: block !important;
        }

        ul[aria-hidden="false"] {
            overflow: visible;
        }

        > li:last-child {
            margin-bottom: var(--spacing-200);
        }
    }

    .nav-bottom {
        padding: var(--spacing-150);

        :first-child {
            margin-top: 0;
        }

        .result-list_object-link:hover,
        .result-list_object.tab-focus .result-list_object-link,
        .result-list_object-link.tab-focus {
            color: var(--primarytextcolor);
        }

        :is(a, button, input):is(.btn, .btn-outline),
        .btn a, .btn-outline a,
        span.ikiss-field-button input,
        input:is([type="button"], [type="submit"]) {
            border: 1px solid rgba(0, 0, 0, 0.15) !important;
        }

        .btn > [class*="fa-"] {
            color: var(--btntextcolor);
        }
    }
}